/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.workflow.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * KT_HOLIDAY_REQUEST(休暇申請テーブル)のDTOクラス。
 */
public class KtHolidayRequestDto extends BaseDto {
	
	private static final long	serialVersionUID	= -176133596945053676L;
	
	// フィールド
	private int					voucher				= 0;
	private long				workflow			= 0;
	private String				kcode				= "";
	private Date				holidaydate			= null;
	private int					starttime			= 0;
	private int					endtime				= 0;
	private String				reason				= "";
	private String				holidaytype			= "";
	private String				occurdate1			= "";
	private int					usetime1			= 0;
	private String				occurdate2			= "";
	private int					usetime2			= 0;
	private String				substitutedate		= "";
	private String				causecomment		= "";
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public KtHolidayRequestDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return voucher 	休暇申請伝票番号。
	 */
	public int getVoucher() {
		return voucher;
	}
	
	/**
	 * @return workflow 	ワークフロー番号。
	 */
	public long getWorkflow() {
		return workflow;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return holidaydate 	休暇日。
	 */
	public Date getHolidayDate() {
		return (Date)holidaydate.clone();
	}
	
	/**
	 * @return starttime 	休暇開始時間。
	 */
	public int getStartTime() {
		return starttime;
	}
	
	/**
	 * @return endtime 	休暇終了時間。
	 */
	public int getEndTime() {
		return endtime;
	}
	
	/**
	 * @return reason 	休暇理由。
	 */
	public String getReason() {
		return reason;
	}
	
	/**
	 * @return holidaytype 	有給区分。
	 */
	public String getHolidayType() {
		return holidaytype;
	}
	
	/**
	 * @return occurdate1 	発生年月日1。
	 */
	public String getOccurDate1() {
		return occurdate1;
	}
	
	/**
	 * @return usetime1 	利用時間1。
	 */
	public int getUseTime1() {
		return usetime1;
	}
	
	/**
	 * @return occurdate2 	発生年月日2。
	 */
	public String getOccurDate2() {
		return occurdate2;
	}
	
	/**
	 * @return usetime2 	利用時間2。
	 */
	public int getUseTime2() {
		return usetime2;
	}
	
	/**
	 * @return substitutedate 	充当日。
	 */
	public String getSubstituteDate() {
		return substitutedate;
	}
	
	/**
	 * @return causecomment 	事由。
	 */
	public String getCauseComment() {
		return causecomment;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param voucher 	セットする休暇申請伝票番号。
	 */
	public void setVoucher(int voucher) {
		this.voucher = voucher;
	}
	
	/**
	 * @param workflow 	セットするワークフロー番号。
	 */
	public void setWorkflow(long workflow) {
		this.workflow = workflow;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param holidaydate 	セットする休暇日。
	 */
	public void setHolidayDate(Date holidaydate) {
		this.holidaydate = (Date)holidaydate.clone();
	}
	
	/**
	 * @param starttime 	セットする休暇開始時間。
	 */
	public void setStartTime(int starttime) {
		this.starttime = starttime;
	}
	
	/**
	 * @param endtime 	セットする休暇終了時間。
	 */
	public void setEndTime(int endtime) {
		this.endtime = endtime;
	}
	
	/**
	 * @param reason 	セットする休暇理由。
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}
	
	/**
	 * @param holidaytype 	セットする有給区分。
	 */
	public void setHolidayType(String holidaytype) {
		this.holidaytype = holidaytype;
	}
	
	/**
	 * @param occurdate1 	セットする発生年月日1。
	 */
	public void setOccurDate1(String occurdate1) {
		this.occurdate1 = occurdate1;
	}
	
	/**
	 * @param usetime1 	セットする利用時間1。
	 */
	public void setUseTime1(int usetime1) {
		this.usetime1 = usetime1;
	}
	
	/**
	 * @param occurdate2 	セットする発生年月日2。
	 */
	public void setOccurDate2(String occurdate2) {
		this.occurdate2 = occurdate2;
	}
	
	/**
	 * @param usetime2 	セットする利用時間2。
	 */
	public void setUseTime2(int usetime2) {
		this.usetime2 = usetime2;
	}
	
	/**
	 * @param substitutedate 	セットする充当日。
	 */
	public void setSubstituteDate(String substitutedate) {
		this.substitutedate = substitutedate;
	}
	
	/**
	 * @param causecomment 	セットする事由。
	 */
	public void setCauseComment(String causecomment) {
		this.causecomment = causecomment;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
